# XMLWriter::writeComment

# xmlwriter_write_comment

(PHP 5 >= 5.1.2, PHP 7, PECL xmlwriter >= 0.1.0)

XMLWriter::writeComment -- xmlwriter_write_comment — Write full comment tag

### Description

Object oriented style

XMLWriter::writeComment ( string `$content` ) : bool

Procedural style

xmlwriter_write_comment ( resource `$xmlwriter` , string `$content` ) : bool

Writes a full comment.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri() or xmlwriter_open_memory().

`content`

  The contents of the comment.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startComment() - Create start comment
- XMLWriter::endComment() - Create end comment